/*
 * Copyright by Intland Software
 *
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Intland Software. ("Confidential Information"). You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Intland.
 */
package com.intland.codebeamer.dbcopy;

import java.sql.Connection;
import java.sql.SQLException;

interface ISequenceCopier {

	/**
	 * Query the next sequence value for a table. This is database dependent, because some
	 * databases use Sequences like Oracle and PostgreSQL to generate ids, but mysql uses auto-increment fields
	 *
	 * @param conn The jdbc connection
	 * @param tableName The name of the table
	 * @return The next sequence value
	 * @throws SQLException
	 */
	public int getNextSequenceValue(Connection conn, String tableName) throws SQLException;

	/**
	 * Set the next sequence value for a table
	 * @param conn
	 * @param tableName
	 * @param nextvalue
	 * @throws SQLException
	 */
	public void setNextSequenceValue(Connection conn, String tableName, int nextvalue) throws SQLException;

}
